# Config

class Config

## Methods

__construct()

No description

static Config|null
getInstance()

Get instance of this class

load($directory, array $ignore = [])

Load configuration files

loadFromDatabase()

Load app preferences from database

mixed|null
get($key, null $default = null)

Get config with dot separator

array|null
getGlobal(string $key, stirng $default = null)

Get data with dot separator

static
getFile(string $filename)

Get config as plain text

static bool|Generator
isExists(string|array $nameOrNames)

No description

static void
create(string $filename, string $content = '')

Create some configuration file into /config/

static
createFromSample(string $configName)

No description

static bool
createOrUpdate(string $name, mixed $value)

Create or update SLiMS configuration to database

## Details

###
at line 35
`__construct()`

No description

###
at line 46
`static Config|null getInstance()`

Get instance of this class

#### Return Value

Config|null |

###
at line 58
`load($directory, array $ignore = [])`

Load configuration files

#### Parameters

| $directory |
array | $ignore |

###
at line 75
`loadFromDatabase()`

Load app preferences from database

###
at line 99
`mixed|null get($key, null $default = null)`

Get config with dot separator

#### Parameters

| $key |
null | $default |

#### Return Value

mixed|null |

###
at line 129
`array|null getGlobal(string $key, stirng $default = null)`

Get data with dot separator

#### Parameters

string | $key |
stirng | $default |

#### Return Value

array|null |

###
at line 152
`static getFile(string $filename)`

Get config as plain text

#### Parameters

string | $filename |

###
at line 157
`static bool|Generator isExists(string|array $nameOrNames)`

No description

#### Parameters

string|array | $nameOrNames |

#### Return Value

bool|Generator |

###
at line 178
`static void create(string $filename, string $content = '')`

Create some configuration file into /config/

#### Parameters

string | $filename |
string | $content |

#### Return Value

void |

###
at line 184
`static createFromSample(string $configName)`

No description

#### Parameters

string | $configName |

###
at line 199
`static bool createOrUpdate(string $name, mixed $value)`

Create or update SLiMS configuration to database

#### Parameters

string | $name |
mixed | $value |

#### Return Value

bool |